user_interaction.hpp File Reference
API

defines the interaction interface between libdar and users. More...

`#include "../my_config.h"`
`#include <string>`
`#include "secu_string.hpp"`
`#include "infinint.hpp"`

Go to the source code of this file.

## Classes

class | libdar::user_interaction
| This is a pure virtual class that is used by libdar when interaction with the user is required. More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

defines the interaction interface between libdar and users.

Definition in file user_interaction.hpp.